Bug 115185 - Selection is displayed incorrectly after window maximize.
Summary: Selection is displayed incorrectly after window maximize.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Selection Maximized-Window
  Show dependency treegraph
 
Reported: 2018-01-24 01:49 UTC by Plavozont
Modified: 2021-09-17 03:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Plavozont 2018-01-24 01:49:35 UTC
Description:
After window maximize only part of the selected area is highlighted

Steps to Reproduce:
1. Start LO calc
2. Make window size half screen(not maximized).
3. Select all(it will reproduce the problem for sure, but it still will happen with selection of any size).
4. Maximize window.

Actual Results:  
Selection will stay same size as it was when window was not maximized. However column's letters and row's numbers are highlighted correctly(Same both in LO 6.0.0.2 and LO 5.4.4).

Expected Results:
Everything should be selected


Reproducible: Always


User Profile Reset: No



Additional Info:
tested in LO 5.4.4 and LO 6.0.0.2.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Xavier Van Wijmeersch 2018-01-24 08:58:20 UTC
repro with

Version: 5.3.1.2
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Linux 4.14; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.0.1.0.0+
Build ID: 4bfa6ad5ca95bdcee12f8cd0544b5f08558050c5
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.0.0.alpha0+
Build ID: 407546e7c3f8c732ccf60e5fb3844f6efb86f932
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 2 tommy27 2018-01-24 09:05:38 UTC
status NEW according to confirmation in previous comment
adjusted version field
Comment 3 QA Administrators 2019-09-16 02:45:57 UTC Comment hidden (obsolete)
Comment 4 Plavozont 2019-09-17 01:38:47 UTC
This behavior has not changed


Версия: 6.3.1.2 (x86)
ID сборки: b79626edf0065ac373bd1df5c28bd630b4424273
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 5 QA Administrators 2021-09-17 03:50:57 UTC
Dear Plavozont,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug